Grants, vesting & distributions
Create Grant Configuration
Creates a grant configuration (grant type) in a transaction, optionally registering an uploaded exercise form file.
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/create-grant-configuration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"kind": "RTU",
"isExercisable": true,
"isPerformance": true,
"useStrike": true,
"hasDiscountFMV": true,
"redemptionHold": 0,
"redemptionCap": 0,
"redemptionLiftPeriod": 0,
"grantAssetType": "TOKEN",
"isCashCompensation": true,
"exercisedOptionsPastTenseLabel": "string",
"exercisedOptionsPresentTenseLabel": "string",
"exercisedOptionActionLabel": "string",
"exercisedOptionPotentialActionLabel": "string",
"redemptionMethod": "cash",
"coinMarketCapID": "string",
"showLtipRedemptionProcessingAlert": true,
"exerciseLockupMonths": 0,
"optionExpiryYears": 0,
"optionExerciseWindowDays": 0,
"documentTabs": {
"prefilledTextTabs": [
{
"type": "fullLegalName",
"pageNumber": "string",
"xPosition": "string",
"yPosition": "string"
}
],
"bankTabs": [
{
"label": "string",
"pageNumber": "string",
"xPosition": "string",
"yPosition": "string"
}
],
"signerTabs": [
{
"type": "signature",
"pageNumber": "string",
"xPosition": "string",
"yPosition": "string",
"isRecipient": true,
"name": "string",
"email": "string"
}
]
},
"exerciseFormKey": "string",
"exerciseFormFileID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cashRedemptionMethod": true,
"unitsRedemptionMethod": true
}'{
"grantConfigurationID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
namestringrequiredAllowed: 1 to 200 characters
kindstringrequiredAvailable options: RTU, RTA, TOKEN_BONUS, TPA, OPTION, WARRANT, LTIP, TSA, FTIA, PHANTOMUNITS, FOUNDERROUND, FTI, TOKENSUB, PERFORMANCE
isExercisablebooleanrequiredisPerformancebooleanrequireduseStrikebooleanhasDiscountFMVbooleanredemptionHoldnumberredemptionCapnumberAllowed: at least 0
redemptionLiftPeriodintegerAllowed: at least 0
grantAssetTypestringAvailable options: TOKEN, FIAT
isCashCompensationbooleanexercisedOptionsPastTenseLabelstringAllowed: at most 500 characters
exercisedOptionsPresentTenseLabelstringAllowed: at most 500 characters
exercisedOptionActionLabelstringAllowed: at most 500 characters
exercisedOptionPotentialActionLabelstringAllowed: at most 500 characters
redemptionMethodstringAvailable options: cash, units, both
coinMarketCapIDstringAllowed: at most 100 characters
showLtipRedemptionProcessingAlertbooleanexerciseLockupMonthsintegerAllowed: at least 0
optionExpiryYearsintegerAllowed: at least 0
optionExerciseWindowDaysintegerAllowed: at least 0
documentTabsobject | nullrequiredShow child attributes
prefilledTextTabsobject[]requiredShow child attributes
typestringrequiredAvailable options: fullLegalName, exerciseDate, grantDate, exerciseDate, numberOfUnitsToRedeem, redemptionMethod
pageNumberstringrequiredxPositionstringrequiredyPositionstringrequiredbankTabsobject[]requiredShow child attributes
labelstringrequiredpageNumberstringrequiredxPositionstringrequiredyPositionstringrequiredsignerTabsobject[]requiredShow child attributes
typestringAvailable options: signature, initial, dateSigned
pageNumberstringrequiredxPositionstringrequiredyPositionstringrequiredisRecipientbooleanrequirednamestringrequiredemailstringrequiredexerciseFormKeystring | nullrequiredAllowed: at most 500 characters
exerciseFormFileIDstring | null<uuid>cashRedemptionMethodbooleanunitsRedemptionMethodbooleanResponse
200Successful response
grantConfigurationIDstring<uuid>required